Bug 59240 - Installer crashes after selecting all of the dependencies
Installer crashes after selecting all of the dependencies
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-03 09:30 EST by chris
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:48:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description chris 2002-02-03 09:30:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011014

Description of problem:
Choosed what normaly goes into server-installation. hit next, dependencies where
resolved, hit the add button and anaconda started the install-process. Then it
crashed 

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Additional info:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 620, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/gui.py", line 350, in run
    self.icw.run (self.runres, configFileData)
  File "/usr/lib/anaconda/gui.py", line 778, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2608, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/anaconda/gui.py", line 497, in handleRenderCallback
    self.currentWindow.renderCallback()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 135, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 399, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 143, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 208, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 335, in turnOnFilesystems
    thefsset.mountFilesystems (instPath)
  File "/usr/lib/anaconda/fsset.py", line 927, in mountFilesystems
    entry.mount(instPath)
  File "/usr/lib/anaconda/fsset.py", line 1063, in mount
    device = self.device.setupDevice(chroot, devPrefix=devPrefix)
  File "/usr/lib/anaconda/fsset.py", line 1228, in setupDevice
    self.level, self.numDisks)
  File "/usr/lib/anaconda/partitioning.py", line 221, in register_raid_device
    raise ValueError, "%s is already in the mdList!" % (mdname,)
ValueError: md1 is already in the mdList!

Local variables in innermost frame:
newdevices: ['hda11', 'hdc11']
devices: ['hda10', 'hdc10']
level: 1
dev: md1
newnumActive: 2
numActive: 2
newlevel: 1
mdname: md1


Package Group selection status:
Base: 1
Printing Support: 0
Classic X Window System: 0
X Window System: 0
Laptop Support: 0
Spelling: 0
GNOME: 0
KDE: 0
Sound and Multimedia Support: 0
Network Support: 1
Dialup Support: 0
Messaging and Web Tools: 0
Graphics and Image Manipulation: 0
Network Server: 0
News Server: 1
NFS File Server: 1
Windows File Server: 1
Anonymous FTP Server: 1
SQL Database Server: 0
Web Server: 1
Router / Firewall: 0
DNS Name Server: 1
Network Managed Workstation: 0
Authoring and Publishing: 1
Emacs: 1
Utilities: 1
Legacy Application Support: 1
Software Development: 1
Kernel Development: 1
Windows Compatibility / Interoperability: 0
Games and Entertainment: 0
Everything Include: 0
Workstation Common: 0
Server: 0
Everything: 0


Individual package selection status:
4Suite: 1, Canna: 0, Canna-devel: 0, Canna-libs: 0, Distutils: 0, ElectricFence:
0, FreeWnn: 0, FreeWnn-common: 0, FreeWnn-devel: 0, FreeWnn-libs: 0, GConf: 0,
GConf-devel: 0, Gtk-Perl: 0, Guppi: 0, Guppi-devel: 0, ImageMagick: 1,
ImageMagick-c++: 1, ImageMagick-c++-devel: 1, ImageMagick-devel: 1,
ImageMagick-perl: 1, LPRng: 0, MAKEDEV: 1, Maelstrom: 0, MagicPoint: 0, Mesa: 1,
Mesa-demos: 0, Mesa-devel: 0, MyODBC: 0, MySQL-python: 0, ORBit: 1, ORBit-devel:
0, PyQt: 0, PyQt-devel: 0, PyQt-examples: 0, PyXML: 1, SDL: 0, SDL-devel: 0,
SDL_image: 0, SDL_image-devel: 0, SDL_mixer: 0, SDL_mixer-devel: 0, SDL_net: 0,
SDL_net-devel: 0, SysVinit: 1, VFlib2: 1, VFlib2-VFjfm: 0, VFlib2-devel: 1,
WindowMaker: 0, WindowMaker-libs: 0, Wnn6-SDK: 0, Wnn6-SDK-devel: 0, XFree86: 1,
XFree86-100dpi-fonts: 0, XFree86-3DLabs: 0, XFree86-75dpi-fonts: 0,
XFree86-8514: 0, XFree86-AGX: 0, XFree86-FBDev: 0,
XFree86-ISO8859-15-100dpi-fonts: 0, XFree86-ISO8859-15-75dpi-fonts: 0,
XFree86-ISO8859-2-100dpi-fonts: 0, XFree86-ISO8859-2-75dpi-fonts: 0,
XFree86-ISO8859-7: 0, XFree86-ISO8859-7-100dpi-fonts: 0,
XFree86-ISO8859-7-75dpi-fonts: 0, XFree86-ISO8859-7-Type1-fonts: 0,
XFree86-ISO8859-9-100dpi-fonts: 0, XFree86-ISO8859-9-75dpi-fonts: 0,
XFree86-KOI8-R: 0, XFree86-KOI8-R-100dpi-fonts: 0, XFree86-KOI8-R-75dpi-fonts:
0, XFree86-Mach32: 0, XFree86-Mach64: 0, XFree86-Mach8: 0, XFree86-Mono: 0,
XFree86-P9000: 0, XFree86-S3: 0, XFree86-S3V: 0, XFree86-SVGA: 0, XFree86-VGA16:
0, XFree86-W32: 0, XFree86-Xnest: 0, XFree86-Xvfb: 0, XFree86-compat-libs: 0,
XFree86-compat-modules: 0, XFree86-cyrillic-fonts: 0, XFree86-devel: 1,
XFree86-doc: 0, XFree86-jpfonts: 0, XFree86-libs: 1, XFree86-tools: 0,
XFree86-twm: 0, XFree86-xdm: 0, XFree86-xf86cfg: 0, XFree86-xfs: 1, Xaw3d: 1,
Xaw3d-devel: 0, Xconfigurator: 0, Xdialog: 0, a2ps: 1, abiword: 0, adjtimex: 0,
alchemist: 1, alchemist-devel: 0, alien: 0, am-utils: 0, amanda: 1,
amanda-client: 1, amanda-devel: 1, amanda-server: 0, ami: 0, ami-gnome: 0,
anaconda: 0, anaconda-runtime: 0, anacron: 1, anonftp: 1, apache: 1,
apache-devel: 1, apache-manual: 1, apacheconf: 1, apel: 0, apmd: 0, arpwatch: 1,
arts: 0, ash: 0, asp2php: 0, asp2php-gtk: 0, aspell: 1, aspell-ca: 0, aspell-da:
0, aspell-de: 1, aspell-devel: 0, aspell-en-ca: 0, aspell-en-gb: 0, aspell-es:
0, aspell-fr: 0, aspell-it: 0, aspell-nl: 0, aspell-no: 0, aspell-pt: 0,
aspell-pt_BR: 0, aspell-sv: 0, at: 1, audiofile: 1, audiofile-devel: 0, aumix:
0, aumix-X11: 0, auth_ldap: 1, authconfig: 1, autoconf: 1, autoconvert: 0,
autoconvert-xchat: 0, autofs: 1, automake: 1, autorun: 0, awesfx: 0, balsa: 0,
basesystem: 1, bash: 1, bash-doc: 0, bc: 1, bcm5820: 1, bdflush: 1, bg5ps: 0,
bind: 1, bind-devel: 1, bind-utils: 1, bindconf: 1, binutils: 1, bison: 1, blas:
0, blas-man: 0, blt: 0, bonobo: 0, bonobo-devel: 0, bootparamd: 0, bug-buddy: 0,
busybox: 0, busybox-anaconda: 0, byacc: 1, bzip2: 1, bzip2-devel: 1, bzip2-libs:
1, cWnn: 0, cWnn-common: 0, cWnn-devel: 0, caching-nameserver: 1, cadaver: 1,
cdda2wav: 0, cdecl: 1, cdlabelgen: 0, cdp: 0, cdparanoia: 0, cdparanoia-devel:
0, cdrdao: 0, cdrecord: 0, cdrecord-devel: 0, cervisia: 0, chkconfig: 1,
chkfontpath: 1, chromium: 0, cipe: 1, cleanfeed: 1, compat-egcs: 1,
compat-egcs-c++: 1, compat-egcs-g77: 0, compat-egcs-objc: 0, compat-glibc: 1,
compat-libs: 0, compat-libstdc++: 1, comsat: 0, console-tools: 1,
control-center: 0, control-center-devel: 0, cpio: 1, cpp: 1, cproto: 0,
cracklib: 1, cracklib-dicts: 1, crontabs: 1, ctags: 1, curl: 1, curl-devel: 1,
cvs: 1, cyrus-sasl: 1, cyrus-sasl-devel: 1, cyrus-sasl-gssapi: 1,
cyrus-sasl-md5: 1, cyrus-sasl-plain: 1, dateconfig: 1, db1: 1, db1-devel: 1,
db2: 1, db2-devel: 0, db3: 1, db3-devel: 1, db3-utils: 1, db31: 0, dbskkd-cdb:
0, ddd: 0, ddskk: 0, dejagnu: 0, desktop-backgrounds: 0, dev: 1, dev86: 1, dhcp:
0, dhcpcd: 1, dia: 0, dialog: 1, diffstat: 1, diffutils: 1, dip: 0, diskcheck:
0, dmalloc: 0, docbook-dtd30-sgml: 1, docbook-dtd31-sgml: 1, docbook-dtd40-sgml:
1, docbook-dtd41-sgml: 1, docbook-dtd41-xml: 0, docbook-dtd412-xml: 0,
docbook-style-dsssl: 1, docbook-utils: 1, docbook-utils-pdf: 1, dos2unix: 0,
dosfstools: 1, doxygen: 0, doxygen-doxywizard: 0, dump: 1, e2fsprogs: 1,
e2fsprogs-devel: 1, ed: 1, ee: 0, eel: 0, eel-devel: 0, efax: 1, eject: 1, elm:
0, emacs: 1, emacs-X11: 0, emacs-el: 0, emacs-leim: 0, emacs-nox: 1,
enlightenment: 0, enscript: 0, eruby: 0, esound: 1, esound-devel: 0, ethereal:
0, ethereal-gnome: 0, ethtool: 0, exmh: 0, expat: 1, esound-devel: 0, ethereal:
0, ethereal-gnome: 0, ethtool: 0, exmh: 0, expat: 1, expat-devel: 1, expect: 0,
ext2ed: 0, extace: 0, fam: 0, fam-devel: 0, fbset: 0, fetchmail: 1,
fetchmailconf: 1, file: 1, filesystem: 1, fileutils: 1, findutils: 1, finger: 0,
finger-server: 0, firewall-config: 0, flex: 1, fnlib: 0, fnlib-devel: 0,
foomatic: 1, fortune-mod: 0, freecdb: 0, freeciv: 0, freetype: 1,
freetype-devel: 1, freetype-utils: 1, ftp: 0, ftpcopy: 0, fvwm2: 0, fvwm2-icons:
0, g-wrap: 0, g-wrap-devel: 0, gaim: 0, gal: 0, gal-devel: 0, galeon: 0, gated:
0, gawk: 1, gcc: 1, gcc-c++: 1, gcc-chill: 0, gcc-g77: 0, gcc-java: 0, gcc-objc:
0, gcc3: 0, gcc3-c++: 0, gcc3-g77: 0, gcc3-java: 0, gcc3-objc: 0, gd: 1,
gd-devel: 1, gd-progs: 1, gdb: 1, gdbm: 1, gdbm-devel: 1, gdk-pixbuf: 1,
gdk-pixbuf-devel: 0, gdk-pixbuf-gnome: 0, gdm: 0, gedit: 0, genromfs: 0,
gettext: 1, gftp: 0, ggv: 0, ghostscript: 0, ghostscript-fonts: 0, giftrans: 0,
gimp: 0, gimp-data-extras: 0, gimp-devel: 0, gimp-perl: 0, gkermit: 0, gkrellm:
0, glade: 0, glib: 1, glib-devel: 0, glib10: 1, glibc: 1, glibc-common: 1,
glibc-devel: 1, glibc-profile: 0, glms: 0, gmc: 0, gmp: 1, gmp-devel: 1,
gnome-applets: 0, gnome-audio: 0, gnome-audio-extra: 0, gnome-core: 0,
gnome-core-devel: 0, gnome-games: 0, gnome-games-devel: 0, gnome-kerberos: 0,
gnome-libs: 1, gnome-libs-devel: 0, gnome-linuxconf: 0, gnome-lokkit: 0,
gnome-media: 0, gnome-pim: 0, gnome-pim-devel: 0, gnome-print: 0,
gnome-print-devel: 0, gnome-user-docs: 0, gnome-utils: 0, gnome-vfs: 0,
gnome-vfs-devel: 0, gnome-vfs-extras: 0, gnomeicu: 0, gnorpm: 0, gnucash: 0,
gnuchess: 0, gnumeric: 0, gnumeric-devel: 0, gnupg: 1, gnuplot: 0, gperf: 0,
gphoto: 0, gpm: 1, gpm-devel: 1, gq: 0, gqview: 0, grep: 1, grip: 0, groff: 1,
groff-gxditview: 0, groff-perl: 1, grub: 1, gsl: 0, gsm: 0, gsm-devel: 0, gtk+:
1, gtk+-devel: 0, gtk+10: 0, gtk-doc: 0, gtk-engines: 0, gtkglarea: 0, gtkhtml:
0, gtkhtml-devel: 0, gtoaster: 0, gtop: 0, guile: 0, guile-devel: 0, gv: 0,
gzip: 1, h2ps: 0, hanterm-xf: 0, hdparm: 1, hexedit: 0, hotplug: 1, hotplug-gtk:
0, htdig: 1, htdig-web: 1, htmlview: 0, hwbrowser: 0, ical: 0, im: 0, imap: 1,
imap-devel: 1, imlib: 1, imlib-cfgeditor: 0, imlib-devel: 0, indent: 1,
indexhtml: 1, inews: 1, info: 1, initscripts: 1, inn: 1, inn-devel: 1, ipchains:
1, iproute: 1, iptables: 1, iptables-ipv6: 0, iptraf: 1, iputils: 1, ipxutils:
0, irb: 0, ircii: 0, irda-utils: 0, isapnptools: 0, iscsi: 0, isdn4k-utils: 0,
isdn4k-utils-vboxgetty: 0, isicom: 0, itcl: 0, jadetex: 1, jcode.pl: 0, jed: 0,
jed-common: 0, jed-xjed: 0, jikes: 0, jisksp14: 0, jisksp16-1990: 0, joe: 1,
joystick: 0, jpilot: 0, junkbuster: 0, kWnn: 0, kWnn-devel: 0, kaffe: 1, kakasi:
0, kakasi-devel: 0, kakasi-dict: 0, kappa20: 0, kbdconfig: 1, kcc: 0, kdbg: 0,
kde-i18n-British: 0, kde-i18n-Bulgarian: 0, kde-i18n-Chinese: 0,
kde-i18n-Chinese-Big5: 0, kde-i18n-Czech: 0, kde-i18n-Danish: 0, kde-i18n-Dutch:
0, kde-i18n-Estonian: 0, kde-i18n-Finnish: 0, kde-i18n-French: 0,
kde-i18n-German: 0, kde-i18n-Hebrew: 0, kde-i18n-Hungarian: 0,
kde-i18n-Icelandic: 0, kde-i18n-Italian: 0, kde-i18n-Japanese: 0,
kde-i18n-Korean: 0, kde-i18n-Lithuanian: 0, kde-i18n-Norwegian: 0,
kde-i18n-Norwegian-Nynorsk: 0, kde-i18n-Polish: 0, kde-i18n-Portuguese: 0,
kde-i18n-Romanian: 0, kde-i18n-Russian: 0, kde-i18n-Slovak: 0,
kde-i18n-Slovenian: 0, kde-i18n-Spanish: 0, kde-i18n-Swedish: 0,
kde-i18n-Turkish: 0, kde-i18n-Ukrainian: 0, kde1-compat: 0, kde1-compat-devel:
0, kdeaddons-kate: 0, kdeaddons-kicker: 0, kdeaddons-knewsticker: 0,
kdeaddons-konqueror: 0, kdeaddons-noatun: 0, kdeadmin: 0, kdeartwork: 0,
kdeartwork-locolor: 0, kdebase: 0, kdebase-devel: 0, kdebindings:
Comment 1 Jeremy Katz 2002-03-26 20:04:04 EST
Did you have previously existing raid devices on this machine?  Also, what sort
of partitioning options did you choose?
Comment 2 Michael Fulbright 2002-04-25 17:21:46 EDT
Closing due to inactivity.
Comment 3 Michael Fulbright 2002-05-23 12:52:39 EDT
Closing due to inactivity - please reopen if you have additional comments to add
to this bug.
Comment 4 Red Hat Bugzilla 2006-02-21 13:48:24 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.